﻿$ErrorActionPreference = 'Stop';

$packageName= 'taskfactory'
$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url        = 'https://download.pragmaticworks.com/release/2017.4/BETA_TaskFactory_2017.4.4.1017.exe'

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  silentArgs    = "/quiet /norestart"
  validExitCodes= @(0, 3010, 1641)

  softwareName  = 'task-factory*'
  checksum = '88ACB8C161EFE502E58F46B0E4BE60AD7322840BAD0903076DF92EBF89CCF55B'
  checksumType = 'sha256'
  checksum64 = 'ODhBQ0I4QzE2MUVGRTUwMkU1OEY0NkIwRTRCRTYwQUQ3MzIyODQwQkFEMDkwMzA3NkRGOTJFQkY4OUNDRjU1Qg=='
  checksumType64 = 'sha256'
}

Install-ChocolateyPackage @packageArgs
